---------------------------------------------------------------------------------------------------
Version: 0.7.20
Date: 10.08.2021
  Changes:
    - Added new graphics to the agricultural module technologies
    - Added descriptions to farming products on how to obtain them
    - Allow agricultural modules on fish, puffer and biter breeding recipes
    - Allow agricultural modules on algae recipes
    - Increased productivity on lithia salt (647)
    - Added new tier of algae farm inbetween the existing MK1 and MK2 (647)
    - Added tips-and-tricks for some basic concepts
  Bugfixes:
    - Fixed another crash related to opening another players inventory
    - Fixed crash when bob plates is not active but bob enemies is
---------------------------------------------------------------------------------------------------
Version: 0.7.19
Date: 31.05.2021
  Bugfixes:
    - Fixed biter refugium technology should depend on walls
    - Fixed crash related to opening another players inventory
    - Updated resin and rubber accessibility for red/green wires
---------------------------------------------------------------------------------------------------
Version: 0.7.18
Date: 26.05.2021
  Changes:
    - Tweaked some technology tree prerequisites as cleanup (428)
    - Added agricultural module support with bobs modules
    - Allow agricultural modules on advanced garden cultivation recipes
    - Allow agricultural modules on advanced tree cultivation recipes
    - Allow agricultural modules on all regular tree growing recipes
      - Regular tree growing increases yield of trees
      - Biome specific tree recipes increase bio yield (resin, rubber, plastic), but not trees!
    - Advanced garden cultivation recipes can now only be made in biome specific gardens
    - Moved mineralised water unlock from brown to green algae technology (496)
    - Moved algae farms 2 and 3 deeper into the tech tree (503)
    - In component mode, decreased the cost of algae farm 2 from tier 3 to tier 2 blocks (503)
    - Split plant and fish pressing in two techs to account for the ceramic filter (428)
    - Hide unused items (plant milk and bio wooden board) (523)
    - Changed and expanded locale strings and text descriptions (489)
  Bugfixes:
    - Fixed bob modules category icon did not fit the category box size (483)
    - Fixed bob modules tech icons did not fit the tech box (483)
    - Fixed that agrecultural modules could be inserted in labs and mining drills (479)
    - Fixed agricultural modules would not upgrade correctly
    - Fixed agricultural modules all used the same tech icon (493)
    - Fixed angels fishes were not set as consumable items (490)
    - Fixed with bobs modules that the module 2 and 3 technologies would have wrong icon_size (508)
    - Added bio-tile to this mod from industries
      - Still needs recipe and tech-unlock
---------------------------------------------------------------------------------------------------
Version: 0.7.17
Date: 26.11.2020
  Changes:
    - Updated to work with factorio version 1.1
---------------------------------------------------------------------------------------------------
Version: 0.7.16
Date: 16.11.2020
  Changes:
    - Balanced pollution factor of bio buildings (426)
  Bugfixes:
    - Fixed multiple localisation errors on agriculture module (427)
    - Fixed fluid colors on liquors and nutrient pulp
    - Fixed pipe and animation of gasses were showing liquids
---------------------------------------------------------------------------------------------------
Version: 0.7.15
Date: 29.10.2020
  Changes:
    - Added recipe colors to the Bio processor (375)
    - Spreading out bio animalis such that it is not all green science
    - Balancing bobs coal from wood (379)
    - Added agrecultural module, currently only works on gardening
  Bugfixes:
    - Fixed wrong localisation on the alienated fertilizer recipe
    - Some minor localisation changes to unify angels localisation across mods (372)
    - Fixed the plant growing 1 & 2 did not show their result amounts correctly
    - Fixed plant processing recipes 1 & 2 did not show there recipe name correctly
    - Fixed missing prerequisite on the Wood processing 2 technology
---------------------------------------------------------------------------------------------------
Version: 0.7.14
Date: 20.08.2020
  Changes:
    - Updated to base game 1.0
    - Update to internal changes in angels refining
    - Petri dish now requires plastic bar instead of iron plate (when not requiring glass)
  Bugfixes:
    - Fixed crash related to labs having invalid input definitions (355)
---------------------------------------------------------------------------------------------------
Version: 0.7.13
Date: 17.07.2020
  Changes:
    - Made localisation conform with base game (342)
    - Changed localisation of farms and upgrades (344)
  Bugfixes:
    - Fixed Lithia Salt was disabled when playing without angels industries
---------------------------------------------------------------------------------------------------
Version: 0.7.12
Date: 10.07.2020
  Changes:
    - Fixed Fish water filtering Filter return being incorrect
    - Crystal enhancer now requires crystal slurry instead of the catalyst in special vanilla mode
    - Updated map colors of special bio spawns:
      - Gardens stay green as they were
      - Trees are a lighter blue (for visibility in muddy biomes)
      - Puffers are now a dark yellow-ish color (was green before)
    - Allow alien goo to be made in a liquifier
  Bugfixes:
    - Fixed crystal splinter recipes were a bit scrambled around when playing with bobs mods
    - Fixed some drawing boxes on bio buildings
    - Fixed graphics of bob arboretum were offset
    - Fixed localisation of desert/temperate farming upgrade technology
    - Added some missing key technology prerequisites
    - Fixed pwder refining couldn't be researched in special vanilla
    - Fixed the unimplemented hoggers were visible in the signal selection menus
    - Fixed the unimplemented hogger refugium was visible in the signal selection menus
---------------------------------------------------------------------------------------------------
Version: 0.7.11
Date: 05.06.2020
  Bugfixes:
    - Tweaked localised description on the Biter Refugium
    - Fixed that the fish oil filtering recipes did not have any machine to be crafted in
    - Fixed migration for swamp farming 2 technology
    - Fixed electro whinning cells missing from technology
    - Fixed raw bio rubber should be made from the special desert trees (instead of the swamp ones)
---------------------------------------------------------------------------------------------------
Version: 0.7.10
Date: 01.06.2020
  Changes:
    - Crystal powder liquifying now required purified water similar how to dust requires acid (270)
  Bugfixes:
    - Fixed petri dishes requiring glass when there was no glass available
    - Fixed missing localisation on waste puffing (259)
    - Added the missing atmosphere puffing recipe (259)
    - Fixed hatchery not having enough result inventory slots to hold all hatching results
---------------------------------------------------------------------------------------------------
Version: 0.7.9
Date: 29.05.2020
  Changes:
    - Properly use name, amount in result and ingredient prototypes
    - Added productivity to liquid resin, plastic and rubber, similar to the petrochem equivalents
    - Swapping red algae and blue algae around (229)
      - Red algae is now green science (depends on thermal water extraction and nitrogen processing 1)
      - Blue algae is now blue science, as an alternative source for ammonia gas from nitrogen processing
    - Changed biter breeding recipe icons, it now shows the queens so they are more distinguishable (245)
    - Changed compost and void recipe icons for easier finding the correct void recipe (245)
    - Crystal powder liquifaction now requires liquifier instead of assembler (228)
    - Crystal crushing to powder now requires powderizer instead of liquifier (228)
    - Added alternative way of producing soil from sand instead of mud
    - Changed to color of fish water to be a less vibrant color with the new UI colors
    - Give new uses to animalis: (245)
      - Added fish pressing, new way of using fish for plastic production
      - Added mixed puffing recipes as a productive waste water processing and puffer atmosphere cleaning
    - Added mixed puffer breeding recipes to one type of egg for easier builds
  Bugfixes:
    - Fixed Alien Bacteria was using Perchloric Acid instead of Hydrochloric acid
    - Added Chlorine Processing 1 as a prerequisite for Alien Bacteria
    - Crystal powder liquifaction now requires liquifier instead of assembler (228)
    - Crystal crushing to powder now requires powderizer instead of liquifier (228)
    - MP safer method of requiring files (check inside the file instead of around)
    - Altered definition of biter queen localisation for translation purposes
    - Added some crucial technology dependencies for easier progression and tree connectivity
  Balancing:
    - Moved resin from wood recipe to tree arboretums, so it doesn't require garden exploration
    - Special gardens are now easier to (re)produce:
      - Reduces requirement to explore big sections of the map for gardens
      - Replaced Garden Mutation with Garden Cultivation, which is now red science
      - Altered the Garden duplication recipes to give certainly more gardens as output
      - Garden duplication recipes now require Alien Goo as ingredient through Alienated Fertilizer
      - Added polluted fish water from meat as extra Alien Goo source
      - Reorganisation of the vegetabilis recipe tab to make room for these new recipes
    - Special trees are now easier to produce:
      - Reduces requirement to explore big sections of the map for trees
      - Added recipes to create trees from Alien Plant Life Samples as duplication method
      - Added recipes to turn the trees into bio products to get rid of unwanted trees
    - Increased productivity of liquid products from tree farming: (245)
      - Increased the bio product yields from tree farming
        tier 1: 2 -> 4; tier 2: 4 -> 7; extra: special tree gives 10
      - Increased the liquid yield for each bio product (5 -> 10 liquid/bio product)
    - Added earlier steps to obtain crystals: (245)
      - Crystalizing Polluted Fish Water for crystal splinters (green science)
      - Crystalizing Puffer Egg Shell Remains for crystal shards (blue science)
---------------------------------------------------------------------------------------------------
Version: 0.7.8
Date: 20.04.2020
  Changes:
    - Added missing translation for crystal-powder-from-dust
    - Removed duplicate nutrient-beans in recipe unlock for tech nutrient paste
  Bugfixes:
    - Re-enable ore-powderizer for alien bio processing 2
---------------------------------------------------------------------------------------------------
Version: 0.7.7
Date: 12.04.2020
  Changes:
    - Added alternative to liquid resin early game from temperate trees
    - Reduced the amount of Advanced Chemical Plants required to make fish water
---------------------------------------------------------------------------------------------------
Version: 0.7.6
Date: 02.04.2020
  Changes:
    - Changed graphics on tree recipes to represent the trees instead of their product
  Balancing:
    - Increase usage of bio sink (Compost)
      - Fertilizer now takes twice the amount of Compost
      - Fermentation Base processing now produces half the amount of compost
    - Decrease production of Compost
      - Require 2 vegetables to create 1 Compost (required 1 before)
      - Require 20 vegetable seeds to create 1 Compost (required 1 before)
      - Require 2 Gardens to create 1 Compost (required 1 before)
      - Require 2 Cellulose Fibers to create 1 Compost (required 1 before)
      - Require 4 Green Algae to create 1 Compost (required 1 before)
      - Require 3 Brown Algae to create 1 Compost (required 1 before)
      - Require 2 Blue Algae to create 1 Compost (required 1 before)
  Bugfixes:
    - Fixed missing localised description on Alien Plant Life Sample
    - Fixed ore pastes would enable when you don't need them
---------------------------------------------------------------------------------------------------
Version: 0.7.5
Date: 24.03.2020
  Changes:
    - Make buildings upgradeable #119
---------------------------------------------------------------------------------------------------
Version: 0.7.4
Date: 20.03.2020
  Changes:
    - Removed the (unneeded) ingredient limit on different bio buildings
      - Fish Tank, Puffer Refugium and Biter Refugium
      - Basic and Upgraded Farms, Bio Processor, Bio Press and Nutrient Extractor
    - Added Biter Queens as alternative way of creating biter eggs
    - Added converter recipe from crystal dust to crystal powder (less efficient for slurry)
    - Puffer breeding now returns Acid Gas instead of just consuming the Puffer Atmosphere
  Balancing:
    - Balanced (crop) farming to reduce overal power consumption
      - Farms now craft at double the speed (basic at speed 1, upgraded at speed 2)
      - All upgraded farms now consume the same amount of power
      - Farming now takes less time (all take 30 seconds, was 60 before, except swamp was 45)
      - Bio Processor crafts at speed of 1 (was 0.75)
      - Seeds of the tier 1 and 2 crops only require 5 (instead of 10) crops to extract seeds from
    - Balanced nutrient pulp to increase yield
      - Now requires only 5 (instead of 10) crops
      - Crafts twice as fast (2 seconds, was 4)
    - Balanced Fish Water to have a higher alien spore yield
      - Fish tank now yields 100 fish water/recipe instead of 20 (increase of x5)
      - Polluted Fish Water yields twice the spores (incease of x2)
      - Polluted Fish water yields less sulfuric waste water (compensation of the higher use)
    - Alien Bacteria now requires 50 Alien Spores instead of 100 (increase of x2)
    - Alien Bacteria can now seed 5 dishes instead of 3 (increase of x1.667)
    - Puffer Breeding now has a higher yield of their own eggs (other types remain the same)
      - Gaseous and Rancid eggs from 50% to 75%
      - Rancid, Acidic and Corodent eggs from 50% to 70%
    - Puffer Eggs Hatching now takes less time (10, 15, 20, 25, 30 sec instead of all 60)
    - Biter zoo recipes now gives 1 crystal/biter (increase of x4)
    - Increased crafting speed of Biter Refugium to 2 (was 0.75)
    - Grinding crystals have a chance of returning the grindstone (usage reduced to 1/3rd)
    - Made green algae a bit more productive
      - Green Algae I ratio brown:green algae increased to 25:5 (was 20:5)
      - Green Algae II crafts faster (was 20 seconds, now 15) to reduce power consumption
      - Green Algae II inputs lowered from 100 to 80 (+20% productivity)
      - Green Algae II output increased from 40 to 50 (+25% productivity)
  Bugfixes:
    - Fixed fish, puffers and biters did count (fully) towards production stats for breeding
    - Fixed the working animation on the hatchery and biter refugium
    - Fixed butchering biters would not give crystals in the butchery
    - Fixed that alien-spores could not be voided
---------------------------------------------------------------------------------------------------
Version: 0.7.3
Date: 22.02.2020
  Changes:
    - Bio tokens always gets added to labs now, trigger option added for mods to exclude the lab
    - Pastes requires 2 powder instead of 1 ore
    - Changed the tech icon of Farming and Garden Mutations
    - In marathon mode (expensive), you get the garden back when trying to obtain alien life samples
    - When picking up gardens, they have a chance of giving some crops as well
  Bugfixes:
    - Fixed petri-dish requiring the wrong glass item (when playing with bob)
    - Updated emission data, so it now shows in the ingame tooltips (and activates)
    - Fixed that there where no temperate gardens generating under any circumstances
    - Fixed garden duplication recipes did not have the garden marked as a catalyst ingredient (production stats)
---------------------------------------------------------------------------------------------------
Version: 0.7.2
Date: 12.02.2020
  Bugfixes:
    - Fixed another edge case where the bio-token was not being added to labs correctly
---------------------------------------------------------------------------------------------------
Version: 0.7.1
Date: 12.02.2020
  Bugfixes:
    - Fixed that bio-token was not being added to labs correctly
    - Fixed that bobs greenhouse was producing wood instead of trees
    - Fixed that the manual tree to wood conversion recipe was not disabled at the start of the game
    - Fixed seed extractor requiring too advanced circuits compared to bobs greenhouse
---------------------------------------------------------------------------------------------------
Version: 0.7.0
Date: 09.02.2020
  Changes:
    - updated to 0.18
    - changed fish to require a fish environment
    - added base game fish to breeding
    - moved farming recipes to their own tab
    - crystal enhancer now require crystal slurry (instead of the catalyst)
    - modules require crystals as an ingredient
    - seed extraction recipes have their own icon to differentiate the recipes beter
    - added garden mutations, in case you did not find all garden types
    - renamed "Exploration Token Bio-Tech" to "Alien Plant Life Sample"
    - added better saw blades to make the fuel production less nerfed
    - adapted bob greenhouse to integrate into angels playthrough
  Bugfixes:
    - fixed missing localisation on puffer nest (item)
    - fixed typo in the localisation of "Dormant Okarinome Seed"
    - biter butchering now happens in butchery (was assembling machine before)
    - raw crystal cutting had wrong recipe icon and was missing localisation
    - fixed algae farms didn't have numbers indicating there mk
    - petri dish require iron when there is no glass available
    - fixed wood production can not be crafted manually (for safety reasons...)
---------------------------------------------------------------------------------------------------
Version: 0.6.2
Date: 26.04.2019
  Changes:
    - made wood sawing give back the saw at a 90% chance
    - moved wood processing recipes around
    - added charcoal
    - added carbon from charcoal recipe
    - adjusted fuel values for wood related products
    - moved paste recipe to paste technology
    - added an early less productive green algae variant
---------------------------------------------------------------------------------------------------
Version: 0.6.1
  Bugfixes:
    - fixed an recipe error
---------------------------------------------------------------------------------------------------
Version: 0.6.0
  Changes:
    - update to 0.17
    - changed puffers to be more productive
    - buffed paper making chains
    - changed wood production chains (arboretum to wood)
  Bugfixes:
    - put farms into the same fast replaceable category
    - fixed alien artifacts for bobs not produceable
---------------------------------------------------------------------------------------------------
Version: 0.5.9
  Changes:
    - changed desert crops to use saline water
    - changed swamp crops to use mud waters
    - changed cellulose recipes to use assemblers
    - added recipes for refugium buildings
  Bugfixes:
    - put farms into the same fast replaceable category
    - fixed alien artifacts for bobs not produceable
---------------------------------------------------------------------------------------------------
Version: 0.5.8
  Changes:
    - added sounds for puffer and fish refugium
  Bugfixes:
    - fixed animations for all refugiums
    - fixed missing locale for fish entities
---------------------------------------------------------------------------------------------------
Version: 0.5.7
  Changes:
    - balance pass to sulfite pulping
    - added puffer breeding, puffer refugium and recipe chains. Puffer nests can be found in uncharted territories
    - added fish breeding, fish tank and recipe chains. New fish can be found in uncharted Seas
    - added biter breeding chains, will have further uses in the future, for now only additional resources
    - buffed paper pulping chains to work in bulk, now require less machines
---------------------------------------------------------------------------------------------------
Version: 0.5.6
  Changes:
    - Added localizations
  Bugfixes:
    - added missing recipes to arboretum tech
---------------------------------------------------------------------------------------------------
Version: 0.5.5
  Changes:
    - Tree Arboretums are redone, you can now build a Seed Generator with a Tree you gathered
    - Arboretums now need Seeds from the Seed Generators
    - Slight balancing to paper production
    - added additional recipe for boards from paper
  Bugfixes:
    - fixed an error with the alien-biomes tie in for gardens and trees
---------------------------------------------------------------------------------------------------
Version: 0.5.4
  Bugfixes:
    - fixed an error with the alien-biomes tie in for gardens and trees
---------------------------------------------------------------------------------------------------
Version: 0.5.3
  Changes:
    - added ingame changelog re-fromating the old changelog (thanks to vas for the hint and Warrie for reformatting them)
    - added fertilizer
    - changed techs for arboretums around
    - added additional arboretum tech and raw wood recipe
    - changed recipes for arboretum, garden cultivation and rare seed to use fertilizer
    - changed values on the paper making chains
    - added localization strings
---------------------------------------------------------------------------------------------------
Version: 0.5.2
  Changes:
    - added arboretum
    - added ethanol void recipe
  Bugfixes:
    - fixed filtering recipe
---------------------------------------------------------------------------------------------------
Version: 0.5.1
  Changes:
    - added localizations
    - added recipe values
---------------------------------------------------------------------------------------------------
Version: 0.5.0
  Changes:
    - update to 0.16
    - added gardens
    - added crop farms
    - added crop processing recipes and techs
    - added bio-plastic production chains
    - added paper production chains
---------------------------------------------------------------------------------------------------
Version: 0.4.0
  Changes:
    - update to 0.15
---------------------------------------------------------------------------------------------------
Version: 0.3.3
  Changes:
    - removed fuel value for small artifacts
  Bugfixes:
    - fixed missing algae farm recipes
    - added missing localization strings
    - fixed missing recipes for salination plants in vanilla
---------------------------------------------------------------------------------------------------
Version: 0.3.2
  Changes:
    - disabled alien artifact tech when bob enemies is present
---------------------------------------------------------------------------------------------------
Version: 0.3.1
  Changes:
    - removed wood from cellulose and resin recipe
    - reordered alien artifacts
    - removed fuel value from alginic acid
    - added fuel value to artifacts
---------------------------------------------------------------------------------------------------
Version: 0.3.0
  Changes:
    - added brown algae
    - removed pulver production
    - internal restructuring
    - fixed grouping order
  Bugfixes:
    - added possible fix for the handcrafting bug
---------------------------------------------------------------------------------------------------
Version: 0.2.1
  Bugfixes:
    - fixed an error for older versions
---------------------------------------------------------------------------------------------------
Version: 0.2.0
  Changes:
    - added third tier algaes
    - added alien-processing lines back in
    - tweaked some numbers
---------------------------------------------------------------------------------------------------
Version: 0.1.2
  Changes:
    - added override to move mineralized water recipe from water-treatment tech to bio-processing-1 tech
    - added red algae recipes
    - added alien artefact creation line
---------------------------------------------------------------------------------------------------
Version: 0.1.1
  Changes:
    - moved algae farm recipes to technology
  Bugfixes:
    - fixed a typo in the description
---------------------------------------------------------------------------------------------------
Version: 0.1.0
  Changes:
    - initial release
